# Update a dashboard

Canonical: https://docs.shumoku.dev/en/server/next/api/putDashboardsById
Language: en
Server documentation version: next
Product version: 0.1.6-beta.4
Channel: development

This documentation describes the Server currently in development.

Shumoku Server API · 0.1.6-beta.4 · Dashboards

# Update a dashboard

[OpenAPI source](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)

```
PUT /api/dashboards/{id}
```

## Authentication

sessionCookie / bearerAuth

## Request body

`UpdateDashboard` · application/json · required

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | Updated dashboard | `Dashboard` |
| `400` | The request did not match the API contract | `Error` |
| `401` | Authentication is required | `Error` |
| `404` | The dashboard does not exist | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)
